Subject: bug#38086: closed (Re: bug#38086: RAID installation script with‘mdadm’ no longer works)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Jan 2020 22:14:02 +0000

Your bug report

#38086: RAID installation script with ‘mdadm’ no longer works

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38086: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38086
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38086: RAID installation script with ‘mdadm’ no longer works
From: Ludovic Courtès <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: Vagrant Cascadian <[email-masked]>, [email-masked]
Date: Sun, 19 Jan 2020 23:13:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tobias!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> It's just waiting for input:
>
>  $ # dd & losetup magic, where loop0 is 20% larger than loop1
>  $ sudo mdadm --create /dev/md0 --verbose --level=mirror
> --raid-devices=2 /dev/loop{0,1}
>  mdadm: Note: this array has metadata at the start and
>    may not be suitable as a boot device.  If you plan to
>    store '/boot' on this device please ensure that
>    your boot-loader understands md/v1.x metadata, or use
>    --metadata=0.90
>  mdadm: size set to 101376K
>  mdadm: largest drive (/dev/loop1) exceeds size (101376K) by more than
> 1%
>  Continue creating array?

D’oh, I hadn’t seen that message.

> Adding --force does not avoid this.
>
> I recommend tweaking the partition table to make both members equal,
> but a ‘yes|’ also works if you're in a hurry ;-)

“yes|” works like a charm, I went this that.

Pushed in commit 3adf320e44e54017a67f219ce9667a379c393dad, thank you!

Ludo’.

Subject: RAID installation script with ‘mdadm’ no longer works
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Wed, 06 Nov 2019 11:13:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Looks like our RAID installation method no longer works, as can be seen
at <https://ci.guix.gnu.org/build/1906208/details>:

--8<---------------cut here---------------start------------->8---
+ guix --version
guix (GNU Guix) c4de60ac3c6aa5b46519011af89988215c347e9e
Copyright (C) 2019 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ export GUIX_BUILD_OPTIONS=--no-grafts
+ GUIX_BUILD_OPTIONS=--no-grafts
+ parted --script /dev/vdb mklabel gpt mkpart primary ext2 1M 3M mkpart primary ext2 3M 600M mkpart primary ext2 600M 1200M set 1 boot on set 1 bios_grub on
+ mdadm --create /dev/md0 --verbose --level=stripe --raid-devices=2 /dev/vdb2 /dev/vdb3
mdadm: chunk size defaults to 512K
mdadm: Defaulting to version 1.2 metadata
[   13.890586] md/raid0:md0: cannot assemble multi-zone RAID0 with default_layout setting
[   13.894691] md/raid0: please set raid0.default_layout to 1 or 2
[   13.896000] md: pers->run() failed ...
mdadm: RUN_ARRAY failed: Unknown error 524
[   13.901603] md: md0 stopped.
--8<---------------cut here---------------end--------------->8---

Anyone knows what it takes to “set raid0.default_layout to 1 or 2”?

We should then update (gnu tests install) and the manual accordingly.

Thanks,
Ludo’.